/* 
    Document   : application
    Created on : Dec 3, 2010, 3:12:23 PM
    Author     : bcruit
    Description:
        Purpose of the stylesheet follows.
*/

/* 
   TODO customize this sample style
   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
*/

body{
   margin: 0;
   padding: 0;
   font-family: Arial;
}

a{
   text-decoration: none;
   font-family: arial;
}
a:hover{
   text-decoration: underline;
   color: blue;

}
a:visited{
   color:blue;
}

input{
   font-family: arial;
   font-size: 12pt;
}

#content{
   margin:0 .3em 0 .3em;
   vertical-align: top;
   text-align: center;
}
#flash{
   color: green;
}
#preferredStocks{
   width: 1371px;
   text-align: center;
}
#stocksTableHeader{
   width: 1301px;
   margin-left: auto ;
   margin-right: auto ;
}

form#stockTableId select{
   font-family: Arial;
   font-size: 12pt;

}
.pageTitle{
   text-align: center;
   font-size: 1.2em;
   font-weight: bold;
   margin:2em;
}
table.pageBanner{

}
.stocks{
   text-align: center;
   font-family: arial;
   font-size: .8em;
}

table.stocks{
   text-align: center;
   font-family: arial;
   font-size: .8em;
   width: 1301px;

}

.stocks td{
   padding:0 2px 0 2px ;
   border-right: 1px #ffffff   solid;
}

.stocks th{
   font-family: Arial;
   font-size: 10pt;
   color: #0033CC;
   background-color: #f0f0f0;
   border-right: 1px #ffffff   solid;
}

.stocks th a:visited{
   color: #0033CC;

}

#stockHeader{
   cursor: pointer;
   margin:0 2px 0 2px;
   padding: 2px 0 2px 0;
   text-align: center;


}

#stockHeader:hover{
   color: blue;
   text-decoration: none;
}

.money{
   text-align: right;
}
#pageMenuBar{
   padding: .5em;

}

#pageMenuBar table td{
   padding: 4px 1em 4px 1em;

}

.no_wrap{
   white-space:  nowrap;
}
.odd{
   background-color: silver;
}
.even{

}
#stockSelector{
   cursor: pointer;

}
#stockSelector:hover{
   color: #9BBB59;

}
#ruler { visibility: hidden; white-space: nowrap; }

#pageBanner{
   margin: 0;
   padding: 0;
   text-align: left;

}

#footer{
   margin: 1em .5em 0 .5em;
   font-size: 8pt;
   text-align: left;

}

#recordCount{
   font-weight: normal;
}

.label{
   font-size: 12pt;
   font-weight: bold;
}

#messageDialog{
   width: 100%;
   height: 100%;
   background-color: green;
   background:#f0f0f0;
   text-align:center;
   vertical-align: middle;
}

#messageDialogContent{
   width: 200px;
   height: 100px;
   color:#000000;
   background-color: silver;
   position:absolute;
   top:50%;
   left:50%;
   margin-top:-50px;/* half elements height*/
   margin-left:-100px;/* half elements width*/
   border:1px solid silver;

   overflow:auto;/* allow content to scroll inside element */
   text-align:center;
   vertical-align: middle;
   z-index: 200012;
   /* for IE */
   filter:alpha(opacity=100);
   /* CSS3 standard */
   opacity:1.0;

}


/* Terence Ordona, portal[AT]imaputz[DOT]com         */
/* http://creativecommons.org/licenses/by-sa/2.0/    */

/* begin some basic styling here                     */

/* end basic styling                                 */

/* define height and width of scrollable area. Add 16px to width for scrollbar          */
div.tableContainer {
   clear: both;
   border: 1px solid #963;
   height: 580px;
   overflow: auto;
   width: 1450px;
   /*
   overflow-x: hidden2;
   overflow-y: auto;
   */
}

/* define width of table. Add 16px to width for scrollbar.           */
/* All other non-IE browsers.
   set width of table
*/
html>body div.tableContainer table {
   width: 1450px;

}

/* define width of table. IE browsers only     */
div.tableContainer table {
   float: left;
   width: 1450px
}
/* set table header to a fixed position. WinIE 6.x only                                       */
/* In WinIE 6.x, any element with a position property set to relative and is a child of       */
/* an element that has an overflow property set, the relative value translates into fixed.    */
/* Ex: parent element DIV with a class of tableContainer has an overflow property set to auto */
thead.fixedHeader tr {
   position: relative;

}

/* set THEAD element to have block level attributes. All other non-IE browsers            */
/* this enables overflow to work on TBODY element. All other non-IE, non-Mozilla browsers */
html>body thead.fixedHeader tr {
   display: block;

}

/* make the TH elements pretty */
thead.fixedHeader2 th {
   border-left: 1px solid #EB8;
   border-right: 1px solid #B74;
   border-top: 1px solid #EB8;
   font-weight: normal;
   padding: 4px 3px;
   text-align: left;
   position: relative;
}


/* define the table content to be scrollable                                              */
/* set TBODY element to have block level attributes. All other non-IE browsers            */
/* this enables overflow to work on TBODY element. All other non-IE, non-Mozill 1em 0 1ema browsers */
/* induced side effect is that child TDs no longer accept width: auto                     */
html>body tbody.scrollContent {
   display: block;
   height: 540px;
   overflow: auto;
   width: 100%;

}

/* define width of table. IE browsers only    
tbody.scrollContent td{
   height: 20px;

}
*/
/*
html>body tbody.scrollContent td + td {
   width: 240px;
      background-color: red;
}
*/

.stocksHeader2{
   background-color: red;
}
.checkBox{
   width:30px;

}

.ipoDate{
   width:70px;
}
.symbol{
   width: 60px;
}

.symbol:hover{
   cursor: pointer;
}
.stockDescription{
   text-align: left;
   width: 270px;

}
.divRate{
   width: 70px;
   text-align: center;

}

.cusip{
   width:1px;
}
.lastPrice{
   width: 60px;
}
.trups .lastPrice a{
   color: #000;
   text-decoration:none;

}
.traditional .lastPrice a{
   color: #000;
   text-decoration:none;
}
.trups3 .lastPrice a{
   color: #000;
   text-decoration:none;
}

.etds .lastPrice a{
   color: #006600;
   text-decoration:none;
}		 
.lastPrice:hover{
   cursor: pointer;
}

.volume{
   width:60px;
   text-align: right;
}
.yield{
   width: 80px;
   text-align: right;

}
.exDivDate{
   width:80px;

}
.exDivDate:hover{
   cursor: pointer;
}
.callDate{
   width: 70px;
   text-align:center;
}
.liquidPrice{
   width: 60px;
}
.moodys{
   width: 60px;
}
.sAndP{
   width: 60px;

}
.exchange{
   width: 80px;

}
.prospectus{
   width: 80px;

}
.suspended{
   width: 70px;

}

#dialogContent{
   width: 400px;
   height: 350px;
   margin-left: auto ;
   margin-right: auto ;
   margin-bottom: 4em;

}
#dialogContent2{
   width: 400px;
   height: 250px;
   margin-left: auto ;
   margin-right: auto ;
   margin-bottom: 4em;

}
#preferredStocksdialog{
   width: 800px;
   margin-left: auto ;
   margin-right: auto ;


}
#dialogContent table{
   border: solid 1px #000000;
   margin: 0 0 4em 0;
}

#dialogContent table td{
   padding: 1em;
   text-align: center;
   background-color: #4F81BD;
}
#dialogContent2 table td{
   padding: 1em;
   text-align: center;
   background-color: #4F81BD;
}
.tooltip {
   border: 1px solid #000000; color: #000000; outline: none;
   cursor: help; text-decoration: none;
   background-color: #FFFFFF;
   position: relative;
   padding: 5px;
   font-size: .8em;
}

#tooltip_id{

}
/*
.tooltip span {
   margin-left: -999em;
   position: absolute;
}
.tooltip:hover span {
   border-radius: 5px 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px;
   box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.1); -webkit-box-shadow: 5px 5px rgba(0, 0, 0, 0.1); -moz-box-shadow: 5px 5px rgba(0, 0, 0, 0.1);
   font-family: Calibri, Tahoma, Geneva, sans-serif;
   position: absolute; left: 1em; top: 2em; z-index: 99;
   margin-left: 0; width: 250px;
}
.tooltip:hover img {
   border: 0; margin: -10px 0 0 -55px;
   float: left; position: absolute;
}
.tooltip:hover em {
   font-family: Candara, Tahoma, Geneva, sans-serif; font-size: 1.2em; font-weight: bold;
   display: block; padding: 0.2em 0 0.6em 0;
}
.classic { padding: 0.8em 1em; }
.custom { padding: 0.5em 0.8em 0.8em 2em; }
* html a:hover { background: transparent; }
.classic {background: #FFFFAA; border: 1px solid #FFAD33; }
.critical { background: #FFCCAA; border: 1px solid #FF3334;	}
.help { background: #9FDAEE; border: 1px solid #2BB0D7;	}
.info { background: #9FDAEE; border: 1px solid #2BB0D7;	}
.warning { background: #FFFFAA; border: 1px solid #FFAD33; }
*/
#checkBoxId{
   background-color: #FFFFFF;
   color: black;
   padding: 1em;
   border: 1px solid black;
}

select#stockViewId{
   margin: 0;
   padding: 0;

}

.etds, .etds a{
   color:#006600;

}

.helpLink{
   font-size: 14pt;
   color: yellow;
}

.filterLabel{
   color: #000000;
}

#loading{
   padding: 1em;
   height: 30px;
   width: 30px;
   visibility:hidden;
   display: none;
   z-index:100;
   position:absolute;
   top:100px;
   left:400px;
   background-color:#4f81bd;
   color:#000000;
   text-align:left;
   padding: 3px;
   text-decoration:none;
   text-align:center;
   vertical-align:middle;

}

.loading {
   float: left;
   height: 300px;
   width: 150px;
   border-radius: 3px;
   line-height:120px;
   text-align:center;
}

.loading img {
   position:relative;
   top: 50%;
   left: 50%;
}

.loading_cdx3 {
   float: left;
   height: 200px;
   width: 120px;
   border-radius: 3px;
   line-height:120px;
   text-align:center;
}

.loading_cdx3 img {
   position:relative;
   top: 50%;
   left: 50%;
}

#aboutList2 tr { 
   line-height: 10px;
}
#aboutList2 label{
   margin: 0;
   padding: 0;
   color: #000000;
}

#aboutList2 td{
   margin:0;
   padding: 0;
   font-size:12pt;
}

#aboutList2 td{

}


table#aboutList2{
   width: 360px;	
}

table#aboutList2 table{
   white-space: nowrap;
   width: 420px;
}

#loading{
   padding: 1em;
   height: 30px;
   width: 30px;
   visibility:hidden;
   display: none;
   z-index:100;
   position:absolute;
   top:100px;
   left:400px;
   background-color:#4f81bd;
   color:#000000;
   text-align:left;
   padding: 3px;
   text-decoration:none;
   text-align:center;
   vertical-align:middle;

}

#dialog{
   background-color:#4f81bd;
   color:#000000;
   text-align:left;
   font-family:Arial, Helvetica, sans-serif;
}

.preferredDialog{
   font-family:Arial, Helvetica, sans-serif;
   padding2: .5em;
   font-size: 12px;
}
table.preferredDialog{
   font-family:Arial, Helvetica, sans-serif;
   font-size: 12px;
}
table#cdx3_score_table{
   width: 100%;
   border-spacing:0;
   border-collapse:collapse;
}
table.preferredDialog{
   width: 100%;
}

#cdx3_score_table td {
   white-space: nowrap;
   padding:0;
   margin: 0;
   width: 100%;
   text-align:left;
}
.preferredDialog label.colon{
   color: #000;
   display: inline-block;
   width: .5em;
   text-align: left;
   font-weight: bold;
   font-size: 12px;
}
.preferredDialog td {
   padding:0;
   margin: 0;
   width: 50%;
   text-align:left;
}
.preferredDialog td label{
   display: inline-block;
   width: 170px;
   font-size: 12px;
}

td.dialogValue{
   color: #fff;

}
td.spacer{


}
.yahoo_symbol{
   display: none;
}

td.number_column{
   width: 5px;
   text-align: right;
   color: #000000;
}

table#cdx3_list{
   width: 100%;

}

#cdx3_list td{
   white-space: nowrap;
   padding: 0;
   margin: 0;
   line-height: .75em;
}

#cdx3_list td label{ 
   padding: 0;
   margin: 0;
}

.ui-widget-content.ui-dialog
{
   padding: 0;
   border: 2px solid #0033CC;
}


.yahoo_dialog_title{
   color: #ffffff;
   text-align: center;
   padding: 5px;
   font-weight: bold;
   font-size: 12px;
}

table.yahoo_dialog{
   padding: 0;
   margin-top: 1em;
   margin-bottom: .5em;
   font-family: arial;

}
table.yahoo_dialog td{
   padding: 0;
   padding-left: 5px;
   margin: 0;
   white-space: nowrap;
}

table.yahoo_dialog .field{
   color: #ffffff;
}

.yieldSelect,.dateSelect{
   font-size: 8pt;
   display:inline;
   padding: 1px;
   cursor: pointer;
}

span.yieldSelect {
   color: grey;
}
.yieldSelectSelectd{
   color: red;
}
.yieldDialogWrapper .ui-widget-content {
   padding-bottom: 1em;
   width: 400px;
}
#yieldDialog,#yieldDialog table{
   margin: 0;
   padding: 0;
   font-family:Arial, Helvetica, sans-serif;
}
#yieldDialog table{
   width: 100%;
}

#yieldDialog td.colon{
   width: 10px;
   font-weight: bold;
   text-align: right;
}
#yieldDialog td.label{
   font-weight: normal;
   width: 280px;
   white-space:nowrap;
   font-size: 12px;
}
#yieldDialog tr.spacer td{
   height: 1em;
}
#yieldDialog td.value{
   color: #fff;
   white-space:nowrap;
}
#yieldDialog td{
   white-space:nowrap;
   margin: 0;
   padding: 0;
}

.dialogHeader,td.dialogHeader{
   font-family: Calibri;
   color: #fff;
   font-size: 14px;
   font-weight: bold;
   text-align: center;
   margin-bottom: 1em;

}

.dialogSymbol{
   padding:0;
   margin:0;
   white-space: normal;
   font-weight: bold;
   font-size: 12px;
}

.dialogDescription,td.dialogDescription{
   white-space: nowrap;
   white-space: normal;
   font-size: 12px;
   margin-bottom: 1em;
}
#yieldDialog .symbol{
   font-weight: bold;

}
#yieldDialog .description{
   margin-bottom: 1em; 
}

.convt_link a{
   font-size:12px;
}